unit constreg;

interface

uses
  System.SysUtils,
  System.Types,
  System.UITypes,
  System.Classes,

  FMX.Types,
  FMX.Controls,
  FMX.Forms,
  FMX.Dialogs,
  FMX.Objects,
  FMX.Menus,
  FMX.ExtCtrls,
  FMX.ListBox,
  FMX.Memo,
  FMX.TabControl,
  FMX.Layouts,
  FMX.Edit,
  FMX.Platform;

Function stActive(isActive : boolean) : string;
Function stOuiNon(isOui : boolean) : string;

const
   captionTrigo : array[boolean] of string = ('rad','  ');

resourcestring

OkVarTri='Garder %s comme variable trie';
OkSauve='Sauvegarde de l''tat courant ?';
OkMobile2='Deuxime mobile ?';
okPageVersCol = 'Transformer les pages en colonnes';
okNonNum = 'Utilisation d''une grandeur non numrique';
OkDelFile='Ecraser le fichier existant';
OkImprGr='Impression du graphe';
OkImprTab='Impression des tableaux';
OkDelData='Suppression des donnes slectionnes';
OkDelAll='Effacement de la page courante';
OkUniteInconnue='Unit non reconnue vous confirmez ?';
OkNoParamAuto='Pas d''expression. Dsactiver gnration auto ?';
OkDelPage='Suppression de la page n%s';
OkModifGr='Modification du graphe selon modle ?';
OkImprModele='Impression de la modlisation';
OkInitParam='Initialisation des paramtres ?';
OkDelVariab='Ecraser l''ancienne variable %s';
OkBadDataNom='Donnes incompatibles (noms diffrents) on continue ?';
OkBadDataNewFile='Donnes incompatibles avec les donnes courantes => Crer un nouveau fichier ?';
OkImprTabVariab='Impression du tableau des variables';
OkModifOrigine='Effectuer le changement d''origine ?';
OkImprCurseur ='Impression des valeurs modlises';
OkAngleDegre ='Angle en degr';
OkAngleRadian ='Angle en radian';
OkPaysage ='Impression avec orientation paysage';
okSupprIdentCoord ='Suppression des identifications de courbes';
okSupprAutresPages ='Suppresssion des points de toutes les pages actives';
okRazModele ='Remise  1 des paramtres';
okRazParam ='Suppression de la modlisation';


erNotExists = ' n''existe plus';
erNonNum = 'Variable non numrique';
erEffectifNotInt = 'Effectif non entier !';
erPourCent = 'Somme des frquences diffrente de 100 !'; // Sum of frequencies other than 100
erEchelle  = 'Echelle incorrecte'; // Incorrect scale
erPbImprimante='Impossible de se connecter  l''imprimante';
erPageModele='Syntaxe : y[numero de page]=f(x)';
erNomVide='Nom vide';
erDebutNom='Un nom doit commencer par une lettre'; // A name must begin with a letter
erNomInterdit='Nom interdit (j^2=-1 pi=3.1416)';
erNomFonction='Nom interdit (nom de fonction : Im Re Arg Min Max...)';
erNomExistant='Nom interdit (dj existant)';
erMuette='Nom interdit pour une variable muette (dj existant)';
erVarTexte='Calcul impossible avec une grandeur texte';
erUnite='Unit incorrecte';
erAire='''->La fonction aire(x,y) dtermine l''aire d''une surface ferme';
erFileNotExist='Fichier non trouv';
erCaracNom='Caractre interdit dans un nom';
erParamModeleVersExp='Utilisation d''un paramtre de modlisation (donc susceptible de disparatre)';  // Use of a modeling parameter (so that it may disappear)
erNbreGradManuel='Nombre de graduations <2 ou >64 => retour au mode automatique';
erOrtho='Vrifier l''option orthonorm dans la boite de dialogue coordonnes'; //  Check the orthonorm option in the Coordinate dialog box
erExpressionVide='Expression vide';
erTexteNotTest='Texte en dehors d''un IF';
erFonctionNil='Fonction non initialise';
erNombrePetit='Modlisation impossible : nombre de valeurs < nombre de paramtres'; // Modeling not possible: number of values < number of parameters
erVide='Expression vide';
erNombre='Nombre mal crit';
erTropLong='Identificateur trop long';
erInterne='Erreur interne';
erTropComplexe='Expression trop complique';
erParF='Manque )';
erParO='Manque (';
erParamSolve='Manque un paramtre : solve(equation,min,max)';
erParamMoyenne='Manque un paramtre : mean(variable,debut,fin)';
erVarInterdite='Variable interdite';
erParamInterdit='Paramtre interdit';
erTropParam='Trop de paramtres';
erVirgule='Manque ,';
erVarAttendue='Variable attendue';
erFonctNonCpx='Fonction interdite dans les complexes';
erOperNonCpx='Operateur interdit dans les complexes';
erReel='Le rsultat doit tre rel (Re;Im;Arg;Abs)';
erSyntaxe='Erreur de syntaxe';
erSyntaxeModele='Syntaxe du modle : Y(X)=f(X)';
erVarInconnue='Variable non reconnue';
erDomaine='Fonction hors de son domaine de dfinition';
erDivergence='Divergence de la modlisation';
erTimeOut='Arrt de la modlisation au bout de 32 itrations';
erNoData='Pas de donnes';
erPageCalc='Pas de zone commune entre les diffrentes pages';
erNombreVar='Pas assez de variables';
erDerNonDef='Drive non dfinie';
erSyst1Var='Systme d''qua diff ncessite la mme variable explicative';
erNonInstallee ='Fonction non installe';
erVarDef='Grandeur dj dfinie';
erMaxModele='Nombre maximum de modles : 4';
erEgalAbsent='Syntaxe des fonctions : nom=''expression';
erCaracInterdit='Caractre interdit'; // forbidden charac
erGenreModele='Les modles doivent tre de mme type : fonction OU qua. diff. d''ordre 1 OU 2';
erVarOrNombre='Doit tre un paramtre ou une valeur numrique';
erModeleGlb='Modlisation par fonction uniquement dans l''espace des paramtres';
erCurseurModele='Modlisation non accessible';
erNmesInf8='Nombre de points trop faibles';
erFormat='Format fichier incorrect';
erValeurNoDef = 'Valeur non dfinie dans la page n ';
erOneCol = 'Une seule colonne  la fois';
erConst3D ='Crochets non permis'; // Hooks not permitted
erFonctionPageNonPermis ='Fonction page[n] non permise';
erParamInconnu ='Paramtre inconnu';
erGrandTableau ='Impression de grand tableau interdite';
erXOR='Oprateur interdit en dehors de IF';
erFileAdd='Erreur  la lecture du fichier';
erFileLoad='Impossible d''ajouter le fichier';
erModeleGr='Donnes non cohrentes avec le modle';
erInitAdefinir='Donnez une valeur initiale dans l''onglet paramtres';
erConstNonDef='Valeur de paramtre exprimental absente';
erParamAdefinir='Donnez une valeur aux paramtres';
erSuperGlb='Superposition de fonction en construction';
erCurseurTangente='Impossible : abscisse<>premire variable';
erGradNonLineaire='Impossible : graduations non linaires';
erPrimeRRR='Caractre '' interdit dans les variables (rserv aux qua. diffrentielles)';
erDiffSimul='Le nombre maxi d''quations dans un systme est de 4';
erEcart='Ecart modle-exprience trs grand vrifier vos paramtres';
erFonctionGlbIsole ='Les fonctions Intg Diff Harm Filtre ... doivent tre utilises isolment';
erVarFreq='Nom rserv pour les sries de Fourier';
erColPrinter='Nombre de colonnes trop grand : penser au mode paysage ou au couper-coller';
erBadDataNom='Donnes incompatibles : noms diffrents';
erSuperposePage='Positionnement de l''origine une page  la fois';
erBadDataInf='Donnes incompatibles : trop de grandeurs';
erBadDataSup='Donnes incompatibles : trop de grandeurs';
erSyntaxeDDE='Syntaxe Macro DDE : Fonction(Paramtre)';
erPuissEnt='Puissance non entire';
erPointModele='Un point non pris en compte : n';
erDiff0='La variable explicative des qua. diff. est la premire colonne';
erRemplitLog='Remplissage exponentiel avec valeur <= 0';
erModeleSystDiff='Systme diff. uniquement';
erFileData='Donnes du fichier incorrectes';
erReadVotable ='N''est pas un fichier Votable';
erDOMXML = 'Parser XML non trouv';
erProgAcq='Programme d''acquisition inconnu';
erDDE='Liaison DDE impossible avec ';
erIndexNotVariab ='Interdit en dehors des variables';
erCrochetF ='] attendu';
erPosMin ='Posmin; posmax remplacs par pos(variable;quation;[up|down|mini|maxi])';
erTangenteAgauche ='L''axe doit tre  gauche';
erOrigineExp ='Modification uniquement pour grandeur exprimentale';
erModeleIncorrect ='Dsactiver le mode superposition de pages';
erWriteFile ='Erreur d''criture du fichier';
erReadFile ='Erreur de lecture du fichier';
erReadFileRXML ='N''est pas un fichier XML Regressi';
erFonctionPage ='page(nombre)';
erOriginePage ='Ncessite une seule page active';
erExposantCpx ='Exposant uniquement entier  l''intrieur des complexes';
erPrefixe ='Essayer de travailler en S.I. sans prfixe m k ... (sauf kg !)';
erUneLigneSurN ='Impression d''une ligne sur %s';
erAxeLog ='Axe log. ou dB impossible : valeurs <= 0 ?';
erDiff2 ='Equation diffrentielle d''ordre 1 ou 2';
erMotdepasse='Suppression du mot de passe';
erBoucleFor ='Syntaxe de boucle for i:=exp to exp do';
erFinBoucle ='end permis en fin de boucle';
erDataCan ='Donnes non modifiables (voir Options Acquisition)';
erChargeOldReg ='Rechargement du dernier fichier';
erForward ='Dfinir la grandeur prdfinie par x= ou x[0]=a';
erGommeStat ='Slectionnez les points sur l''axe des abscisses';
erLigneNulle ='Dfinition de ligne par glisser';
erFileCalc ='Nom de variables non compatibles';
erNbreData ='Pas assez de donnes';
erIndiceEuler = 'Syntaxe : x[i]= et non x[i+1]=';
erPeigneSimul = 'Peigne disponible uniquement en mode simulation';
erParamIF = 'UN argument manquant  IF(condition,si vraie,sifausse)';
erParamPW = 'Syntaxe PieceWise([test,then],else)';
erRadian = 'Passage en radian';
erVerifRadian = 'Actuellement en degr. Passage en radian ?';
erSyntaxeIncert='Syntaxe de l''incertitude type : u(X)';

stMoyenne = 'Moyenne ';  // Mean
stAideValide = '(validez avec Entre)';
stMediane = 'Mdiane ';
stEcartType = 'Ecart-type '; // Standard deviation
stMini = 'Mini';
stMaxi = 'Maxi';
stValeur = 'Valeur ';
stMinimum = 'Minimum';
stMaximum = 'Maximum';
stCible = 'Cible ';
stTaille = 'Taille ';
stOuvrir = 'Ouvrir';
hInitialise = 'Initialise';
stEtendue = 'Etendue : ';
stNom = 'Nom';
stSymbole = 'Symbole';
stUnite = 'Unit';
stSignif = 'Signification';
stBornesModele = 'Bornes et nouveau modle';
stPente = 'Pente';
stPvaleur='P-valeur(';
stIntersection = 'Intersection' ;
stAngle = 'Angle';
stRayon = 'Rayon';
stAbscisse = 'Abscisse';
stOrdonnee = 'Ordonne';
stInexactitude = 'Inexactitude';
stEquivalence = 'Equivalence';
stBorne = 'Bornes de ';
stBornes = 'Bornes';
stCourbe = 'Courbe ';
stReticule = 'Rticule';
stStatistique = 'Statistique : ';
stTableau = 'Tableau ';
stNbrePas = 'Nombre de pas : ';
stPage = 'Page';
stIncertitude = 'Incertitude'; // Uncertainty
stPages = 'Pages';
stOption = 'Option';
stPhase = 'Phase';
stPhaseContinue = 'Phase continue';
stContinu = 'Continu ';
stCouleur = 'Couleur';
stTest1 = 'Rsultat d''un rglage manuel des paramtres. Pour optimiser, cliquer sur "ajuster"'; // Result of manual parameter adjustment. To optimize, click on "adjust".
stTest4 = 'Optimisation des paramtres  effectuer, cliquer sur "ajuster"'; // Optimization of the parameters to be carried out, click on "adjust".
stVariables = 'Variables';
stGrandeurs = 'Grandeurs';
stModelisation = 'Modlisation';
stAxes = 'Axes';
stIteration = 'Itration n';
stIntervalle = 'me intervalle';
stDerivee = 'Drive';
stAbsolue='absolue';
stRelative='relative';
stDbDecade = 'dB/dcade';
stNbreDec ='Nombre de dcimales';
stNbreChiffres ='Nombre de chiffres';
stNbreBits ='Nombre de bits';
stDebutDe = ' le dbut de ';
stFinDe = ' la fin de ';
stEcartQuad = 'Ecart quad. ';
stCoeffCorrel = 'Coeff. corrlation';
stGrad = 'Grad.';
stClicVecteur = 'Cliquer sur un point pour tracer (ou effacer) un vecteur';
stCaracStat = 'Caractristique statistique de ';
stNomVariab = 'Nom des variables :';
stFinModele = 'Fin modlisation';
stValeurReticule = 'Valeurs du rticule';
stValeurModele = 'Valeurs modlises';
stCommentaire = 'Commentaire';
stCalcVitesse = 'Calculer la vitesse !';
stCalcAcceleration = 'Calculer l''acclration !';
stCopiePage = 'Recopie de la page';
stGridValeurs = '&Tableau valeurs';
stRazValeurs = 'R&Z des valeurs';
stResultModele = 'Rsultat de la modlisation';
stEcartRelatif = 'Ecart exprience-modle';
stSigmay = 'Incert. (95%) sur ';
stTriVariab = 'Tri des donnes selon une variable';
stTriPages = 'Tri des pages selon un paramtre';
stSupprGrandeur = 'Suppression d''une grandeur';
stBorneSelect = 'Bornes  la souris|Dfinir les bornes en traant un rectangle';
stBarreReticuleFFT = 'Barre d''espace: marque le pic proche';
stBarreReticule = 'Barre d''espace:laisse une trace (cf. clic droit tableau) ; ESC:fin';
stExper = ' exprimentale';
stVariable = 'Variable';
stConstante = 'Paramtre';
stParam = 'Paramtre de modlisation';
stTexte = ' texte';
stSigmaResidu = '(sigma des rsidus)';
stEcart = 'cart = ';
stComment = 'Commentaires';
stAcqBy = 'Acquisition par ';
stEchantillon = 'Echantillonnage';
stCaracde = 'Caractristiques de ';
stPrint = 'Impression';
stEnTete = 'En-tte';
stCibleAuto = 'Cliquer sur la cible  suivre';
stAjouteMod = '&Ajouter modle';
stRemplaceMod = '&Remplacer modle';
stModif = 'modifications de ';
stData = 'donnes';  // data
stSauve  = 'Sauvegarde des ';
stChoixPages = 'Choix des pages actives';
stUndo = 'Annuler suppression de ';
stNoAcces = 'Impossible d''accder  ';
stMajImpossible = 'Impossible d''accder au site de mise  jour';
stPageActive = 'Page active';
stPageInactive = 'Page inactive';
stOui = 'Oui';
stNon = 'Non';
stNewPage = 'Nouvelle page';
stIntervalle95 = 'Intervalle de confiance  95%'; // 95% confidence interval
stOrigine  = 'Origine';
stExtremite = 'Extrmit';
staxeLog = 'Axe log.';
stAxeX = 'Axe horiz.';
stAxeY = 'Axe vert.';
stAxeT = 'index';

hSupprPoint ='Suppr : suppression du point cliqu ; barre : dsactivation du point';
hMove ='Cliquer/dplacer pour modification de la position du zoom';
hValeurModele ='Entrez une valeur et validez pour calculer';
hGommeStat = 'Slectionner  la souris (cliquer  dplacer) les points  supprimer'; // Select with the mouse (click move) the points to delete
hTriDataDlg = 'tri des donnes'; // Sort data
hTriVariab = 'selon la variable slectionne';
hSupprCalc = 'les variables calcules sont supprimes'; // the calculated variables are suppressed
hSupprLigne = 'en supprimant la ligne du mmo expression'; // by deleting the line in the expression memo
hTriPhase = 'rend continue la variable slectionne';
hMod2Pi = 'en effectuant un modulo 360';
hZoomManuelDebloq = 'Echelle bloque|Modification de l''chelle ou dblocage de celle-ci';
hZoomManuelBloq = 'Echelle manuelle|Dfinition manuelle de l''chelle et blocage de celle-ci';
hZoomAutoBloq = 'Echelle bloque => retour  l''chelle automatique';
hCopyExpressions = 'Copier expressions|Copier l''ensemble du texte dans le presse-papiers';
hCopyGrid = 'Copier tableau|Copier le tableau dans le presse-papiers';
hTriData = 'Trier donnes|Trier les donnes selon la grandeur courante';
hDelta = 'Affiche, si enfonc, l''incertitude sur les ';
hCurseurOrigine ='Placer le curseur sur la nouvelle origine';
hSelectPageMod = 'Choix des pages prises en compte dans la modlisation';
hReticuleModele ='Cliquer  l''intersection du rticule puis faire glisser ; F10:enregistre la position courante ; ESC=fin';
hClicDroit ='Utiliser le clic droit pour ouvrir le menu local';
hHistoResidu ='Histogramme des rsidus';
hExpFFT ='Tapez une expression fonction de %s uniquement';
hIndice ='%s va de 0  %s-1';
hEuler =' signifie valeur de x au point i';
hMoyenne = 'Abscisse=moyenne ; ordonne=maximum';
hEcartType = 'Abscisse=moyenne+(ecart type)';
hDemiLargeur = 'Abscisse=moyenne+(demi largeur)';
hDebutModele ='Modliser|Ouvrir le volet de modlisation';
hFinModele ='Fin modlisation|Fermer le volet de modlisation';
hGlisser ='Glisser pour dplacer';
hDbleTexte ='Clic droit pour modifier le texte ou supprimer';
hDbleCouleur ='Clic droit pour choix de couleur/style de la ligne ou suppression';
hOrigine ='Positionner la verticale  la nouvelle origine puis cliquer';
hSegment ='Cliquer  l''intersection du rticule puis faire glisser ; F10:enregistre la position courante ; ESC=fin';
trSupprVar ='Suppression de %s';
hRowUnit ='Double-clic dans l''en-tte pour modifier unit; incertitude';
hMovePoint ='Dplacer le point de rfrence';
hPeriode ='Abscisse=priode ordonne=dcalage de zro';
hMaxi ='Maximum du sinus : position et valeur';
hCteTemps ='Abscisse=constante de temps';
hAsymptote ='; ordonne=asymptote';
hDirection = 'Direction';
hFinGomme ='Arrt de suppression de points';
hEchelle = 'Echelle';
hOrigineXY = 'Origine des coordonnes';
hValeur0 ='; ordonne=valeur initiale';
hClicPage ='(double clic sur le point pour changer l''tat)';
hFreqCoupure ='abscisse : frquence caractristique';
hGainMax ='ordonne : gain maximal';
hEchelleFreq = 'Cliquer dplacer les graduations pour changer l''chelle';
hValeurAsymptote =' 	Intersection des asymptotes';
hBornes = 'Bornes PUIS expression|Dfinir un nouveau modle par un rectangle (bornes) PUIS taper la fonction';
hLigneRappel='Ligne de rappel|Style de trait des lignes de rappel';

implementation

Function stActive(isActive : boolean) : string;
begin
    if isActive then result := stPageActive else result := stPageInactive
end;

Function stOuiNon(isOui : boolean) : string;
begin
    if isOui then result := stOui else result := stNon
end;

end.


